org.apache.ignite.internal.processors.igfs

## Interface IgfsBaseBlockKey

All Known Implementing Classes:
  IgfsBlockKey, LocalFileSystemBlockKey

    public interface IgfsBaseBlockKey

The base class to block key that is used by the `IgfsGroupDataBlocksKeyMapper`

### Method Summary

All Methods Instance Methods Abstract Methods
`IgniteUuid` `affinityKey()`
`long` `blockId()`
`int` `fileHash()`

### Method Detail

#### blockId

    long blockId()

Returns:
  Block ID.

#### fileHash

    int fileHash()

Returns:
  Hash based on a file identifier (path, ID, etc).

#### affinityKey

    @Nullable
    IgniteUuid affinityKey()

Returns:
  Block affinity key (if any).

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018